Bug 1481597 - Review request: python-karborclient
Summary: Review request: python-karborclient
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-08-15 07:11 UTC by Jeremy Liu
Modified: 2020-04-28 11:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 8570 None None None 2017-08-15 08:59:01 UTC

Description Jeremy Liu 2017-08-15 07:11:24 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Christopher Brown 2017-08-15 09:06:05 UTC
Hi Jeremy,

Nice one for proposing this package.

It would be good to see just some basic information on what karbor is, some kind of inital spec file and srpm.

E.g.

https://bugzilla.redhat.com/show_bug.cgi?id=1472951

Also I think this needs to block Pike (but probably wont make it for Pike now).

Just my initial comments. I've added the link to the RDO Gerrit review for rdoinfo you've already submitted.

Comment 2 Jeremy Liu 2017-08-15 09:12:29 UTC
Thanks, Christopher! Will update needed information soon. Actually, we want this go into Pike, late now?

Comment 3 Jeremy Liu 2017-08-15 09:21:38 UTC
Karbor spec: https://github.com/liujiong63/karbor-rdo-rpm/blob/master/openstack-karbor.spec

Description: To protect the Data and Metadata that comprises an OpenStack-deployed Application against loss/damage (e.g. backup, replication) by providing a standard framework of APIs and services that allows vendors to provide plugins through a unified interface

Comment 4 Christopher Brown 2017-08-15 09:23:54 UTC
(In reply to Jeremy Liu from comment #2)
> Thanks, Christopher! Will update needed information soon. Actually, we want
> this go into Pike, late now?

I don't think so, I just think new packages need to block the next release. I have added that and someone who knows better than me can always change. I don't see why you can't add the package to whichever branches you like once approved but one of the core reviewers can confirm.

Comment 5 Jeremy Liu 2017-08-15 09:25:30 UTC
karborclient spec: https://github.com/liujiong63/karbor-rdo-rpm/blob/master/python-karborclient.spec

Description: python-karborclient is a client library for karbor built on the karbor API. It provides a Python API (the karborclient module) and a command-line tool

Comment 6 Jeremy Liu 2017-08-16 07:39:02 UTC
Blocks: 1427510

Comment 7 Jeremy Liu 2017-08-16 07:40:01 UTC
Blocks: #1427510

Comment 8 Alfredo Moralejo 2017-08-17 10:37:59 UTC
Licensecheck result:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./karborclient/__init__.py: *No copyright* Apache (v2.0)
./karborclient/client.py: *No copyright* Apache (v2.0)
./karborclient/i18n.py: *No copyright* Apache (v2.0)
./karborclient/shell.py: *No copyright* Apache (v2.0)
./karborclient/utils.py: *No copyright* Apache (v2.0)
./karborclient/version.py: *No copyright* Apache (v2.0)
./tools/tox_install.sh: *No copyright* UNKNOWN
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./karborclient/common/base.py: *No copyright* Apache (v2.0)
./karborclient/common/http.py: Apache (v2.0)
./karborclient/common/utils.py: *No copyright* Apache (v2.0)
./karborclient/osc/plugin.py: *No copyright* Apache (v2.0)
./karborclient/v1/checkpoints.py: *No copyright* Apache (v2.0)
./karborclient/v1/client.py: Apache (v2.0)
./karborclient/v1/operation_logs.py: *No copyright* Apache (v2.0)
./karborclient/v1/plans.py: *No copyright* Apache (v2.0)
./karborclient/v1/protectables.py: *No copyright* Apache (v2.0)
./karborclient/v1/providers.py: *No copyright* Apache (v2.0)
./karborclient/v1/restores.py: *No copyright* Apache (v2.0)
./karborclient/v1/scheduled_operations.py: *No copyright* Apache (v2.0)
./karborclient/v1/shell.py: *No copyright* Apache (v2.0)
./karborclient/v1/triggers.py: *No copyright* Apache (v2.0)
./doc/source/contributor/index.rst: *No copyright* UNKNOWN
./doc/source/install/index.rst: *No copyright* UNKNOWN
./doc/source/specs/index.rst: *No copyright* UNKNOWN
./doc/source/specs/karbor-support-in-python-openstackclient.rst: *No copyright* CC by (v3.0)
./doc/source/user/index.rst: *No copyright* UNKNOWN
./karborclient/common/apiclient/auth.py: Apache (v2.0)
./karborclient/common/apiclient/base.py: Apache (v2.0)
./karborclient/common/apiclient/client.py: Apache (v2.0)
./karborclient/common/apiclient/exceptions.py: Apache (v2.0)
./karborclient/common/apiclient/fake_client.py: Apache (v2.0)
./karborclient/osc/v1/checkpoints.py: *No copyright* Apache (v2.0)
./karborclient/osc/v1/operation_logs.py: *No copyright* Apache (v2.0)
./karborclient/osc/v1/plans.py: *No copyright* Apache (v2.0)
./karborclient/osc/v1/protectables.py: *No copyright* Apache (v2.0)
./karborclient/osc/v1/providers.py: *No copyright* Apache (v2.0)
./karborclient/osc/v1/restores.py: *No copyright* Apache (v2.0)
./karborclient/osc/v1/scheduled_operations.py: *No copyright* Apache (v2.0)
./karborclient/osc/v1/triggers.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/base.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/fakes.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/test_http.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/test_karborclient.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/test_shell.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/v1/fakes.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/v1/test_checkpoints.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/v1/test_operation_logs.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/v1/test_plans.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/v1/test_protectables.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/v1/test_providers.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/v1/test_restores.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/v1/test_scheduled_operations.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/v1/test_triggers.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/osc/v1/__init__.py: *No copyright* UNKNOWN
./karborclient/tests/unit/osc/v1/fakes.py: Apache (v2.0)
./karborclient/tests/unit/osc/v1/test_checkpoints.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/osc/v1/test_operation_logs.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/osc/v1/test_plans.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/osc/v1/test_protectables.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/osc/v1/test_providers.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/osc/v1/test_restores.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/osc/v1/test_scheduledoperations.py: *No copyright* Apache (v2.0)
./karborclient/tests/unit/osc/v1/test_triggers.py: *No copyright* Apache (v2.0)


License is valid Apache Software License v2.0

Note that file /doc/source/specs/karbor-support-in-python-openstackclient.rst has license header CC by (v3.0). This file is not included in the package so i'd say we don't need to follow multiple licenses recomendations in https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios but i'll check what documentation are we including.

Comment 9 Haïkel Guémar 2017-10-16 11:39:07 UTC
Are ok with moving it to Fedora?

Comment 10 Jeremy Liu 2017-10-20 09:18:28 UTC
FE-NEEDSPONSOR


Note You need to log in before you can comment on or make changes to this bug.